package smart_gs.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class GSUserNameGrammarChecker {
	private static String  userNameChars = "([A-Z]|[a-z])([0-9]|[-._@]|[A-Z]|[a-z])+";
	
	private static Pattern patternuserNameChars = Pattern.compile(userNameChars);

	public static boolean checks(String string) {
		if (string.length() < 3) {
			return false;
		}
		Matcher matcherZenkakuOrAscii = patternuserNameChars.matcher(string);
		return matcherZenkakuOrAscii.matches();
	}
}
